com.google.web.bindery.requestfactory.shared.messages

## Interface MessageFactory

All Superinterfaces:
  AutoBeanFactory

    public interface MessageFactory
    extends AutoBeanFactory

The factory for creating RequestFactory wire messages.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.web.bindery.autobean.shared.AutoBeanFactory

`AutoBeanFactory.Category, AutoBeanFactory.NoWrap`

### Method Summary

All Methods Instance Methods Abstract Methods
`AutoBean<ServerFailureMessage>` `failure()`
`AutoBean<IdMessage>` `id()`
`AutoBean<InvocationMessage>` `invocation()`
`AutoBean<JsonRpcRequest>` `jsonRpcRequest()`
`AutoBean<OperationMessage>` `operation()`
`AutoBean<RequestMessage>` `request()`
`AutoBean<ResponseMessage>` `response()`
`AutoBean<ViolationMessage>` `violation()`

### Methods inherited from interface com.google.web.bindery.autobean.shared.AutoBeanFactory

`create, create`

### Method Detail

#### failure

    AutoBean<ServerFailureMessage> failure()

#### id

    AutoBean<IdMessage> id()

#### invocation

    AutoBean<InvocationMessage> invocation()

#### jsonRpcRequest

    AutoBean<JsonRpcRequest> jsonRpcRequest()

#### operation

    AutoBean<OperationMessage> operation()

#### request

    AutoBean<RequestMessage> request()

#### response

    AutoBean<ResponseMessage> response()

#### violation

    AutoBean<ViolationMessage> violation()